/**Begin C:\PDM_UPGRADE\PDM1\SRC_constraint.sql **/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_PROJECT_STATUS') CREATE INDEX IDX_SRC_PROJECT_STATUS ON T_SRC_PROJECT ( FOPENSTATUS );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_APPLYENTRY_PID') CREATE INDEX IDX_SRC_APPLYENTRY_PID ON T_SRC_APPLYENTRY ( FPROJECTID );

EXEC p_DropIdx 'IDX_SRC_PURLISTENTRY_MID', 'T_SRC_PURLISTENTRY';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_PURLISTENTRY_STATUS') CREATE INDEX IDX_SRC_PURLISTENTRY_STATUS ON T_SRC_PURLISTENTRY ( FENTRYSTATUS );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_DECISCENE_PID') CREATE INDEX IDX_SRC_DECISCENE_PID ON T_SRC_DECISIONSCENE ( FPROJECTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_NOTYEARINFO_PID') CREATE INDEX IDX_SRC_NOTYEARINFO_PID ON T_SRC_NOTYEARINFO ( FPROJECTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_COMPARESUM_FID') CREATE INDEX IDX_SRC_COMPARESUM_FID ON T_SRC_COMPARESUM ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_ENROLLSUPPLIER_FID') CREATE INDEX IDX_SRC_ENROLLSUPPLIER_FID ON T_SRC_ENROLLSUPPLIER ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_MEMBERENTRY_PID') CREATE INDEX IDX_SRC_MEMBERENTRY_PID ON T_SRC_MEMBERENTRY ( FPROJECTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_PAYMENTENTRY_FID') CREATE INDEX IDX_SRC_PAYMENTENTRY_FID ON T_SRC_PAYMENTENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_PAYMENTENTRY_FTYPE') CREATE INDEX IDX_SRC_PAYMENTENTRY_FTYPE ON T_SRC_PAYMENTENTRY ( FSURPLUSTYPE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_SCHEMEINDEX_FLIBID') CREATE INDEX IDX_SRC_SCHEMEINDEX_FLIBID ON T_SRC_SCHEMEINDEX ( FINDEXLIBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_SCHEMEINDEX_FSRCID') CREATE INDEX IDX_SRC_SCHEMEINDEX_FSRCID ON T_SRC_SCHEMEINDEX ( FSRCINDEXID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_SCHEMEINDEX_FSRCLIBID') CREATE INDEX IDX_SRC_SCHEMEINDEX_FSRCLIBID ON T_SRC_SCHEMEINDEX ( FSRCINDEXLIBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_SCHEMEINDEX_FSID') CREATE INDEX IDX_SRC_SCHEMEINDEX_FSID ON T_SRC_SCHEMEINDEX ( FSUPPLIERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_CONTRACTENTRY_FPAKID') CREATE INDEX IDX_SRC_CONTRACTENTRY_FPAKID ON T_SRC_CONTRACTENTRY ( FPACKAGEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_CONTRACTENTRYSUB_PID') CREATE INDEX IDX_SRC_CONTRACTENTRYSUB_PID ON T_SRC_CONTRACTENTRYSUB ( FTIEREDPROJECTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_APTITUDERESULT_FSID') CREATE INDEX IDX_SRC_APTITUDERESULT_FSID ON T_SRC_APTITUDERESULT ( FSCORETASKID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_APTITUDERESULT2_FSID') CREATE INDEX IDX_SRC_APTITUDERESULT2_FSID ON T_SRC_APTITUDERESULT2 ( FSCORETASKID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_TENDENCY_FPAKID') CREATE INDEX IDX_SRC_TENDENCY_FPAKID ON T_SRC_TENDENCY ( FPACKAGEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_TENDENCY_FPURID') CREATE INDEX IDX_SRC_TENDENCY_FPURID ON T_SRC_TENDENCY ( FPURLISTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_TENDENCY_SID') CREATE INDEX IDX_SRC_TENDENCY_SID ON T_SRC_TENDENCY ( FSUPPLIERID );


/**End C:\PDM_UPGRADE\PDM1\SRC_constraint.sql **/
